Bug 200253 - CVE-2006-3801 Multiple Seamonkey issues (CVE-2006-3677, CVE-2006-3113, CVE-2006-3802, CVE-2006-3803, CVE-2006-3804, CVE-2006-3805, CVE-2006-3806, CVE-2006-3807, CVE-2006-3808, CVE-2006-3809, CVE-2006-3810, CVE-2006-3811, CVE-2006-3812)
Summary: CVE-2006-3801 Multiple Seamonkey issues (CVE-2006-3677, CVE-2006-3113, CVE-20...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: seamonkey (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=critical,reported=20060724,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-26 15:06 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0608
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 19:58:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0608 high SHIPPED_LIVE Critical: seamonkey security update 2006-07-27 04:00:00 UTC

Description Josh Bressers 2006-07-26 15:06:32 UTC
+++ This bug was initially created as a clone of Bug #200167 +++

Several Issues were discovered in Seamonkey, they are expected to be fixed in
the next upstream Seamonkey release


CVE-2006-3807 MFSA 2006-51
CVE-2006-3809 MFSA 2006-53
CVE-2006-3812 MFSA 2006-56
Several flaws were found in the way Seamonkey processes certain javascript
actions. A malicious web page could execute arbitrary javascript
instructions with the permissions of "chrome", allowing the page to steal
sensitive information or install browser malware.


CVE-2006-3801 MFSA 2006-44
CVE-2006-3677 MFSA 2006-45
CVE-2006-3113 MFSA 2006-46
CVE-2006-3803 MFSA 2006-48
CVE-2006-3805 MFSA 2006-50
CVE-2006-3806 MFSA 2006-50
CVE-2006-3811 MFSA 2006-55
Several flaws were found in the way Seamonkey processes certain javascript
actions. A malicious web page could execute arbitrary code as the user running
the browser.


CVE-2006-3802 MFSA 2006-47
CVE-2006-3810 MFSA 2006-54
Several flaws were found in the way Seamonkey processes certain javascript
actions. A malicious web page could conduct a cross site scripting attack or
steal sensitive information such as cookies owned by other domains.


CVE-2006-3808 MFSA 2006-52
A flaw was found in the way Seamonkey processes Proxy AutoConfig scripts. A
malicious Proxy AutoConfig server could execute arbitrary javascript
instructions with the permissions of "chrome", allowing the page to steal
sensitive information or install browser malware.


CVE-2006-3804 MFSA 2006-49
A buffer overflow flaw was found in the way Seamonkey displayed malformed
inline vcard attachments. If a victim viewed an email message containing
a carefully crafted vcard it is possible to execute arbitrary code as the
user running Seamonkey-mail.

Comment 3 Red Hat Bugzilla 2006-07-27 19:58:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0608.html



Note You need to log in before you can comment on or make changes to this bug.